//***************************************************************************
//----------------本例程仅供学习使用，未经作者允许，不得用于其他用途。-----------
//------------------------版权所有，仿冒必究！---------------------------------
//----------------1.开发环境:Arduino IDE or Visual Studio 2010----------------
//----------------2.使用开发板型号：Arduino UNO R3            ----------------
//----------------3.单片机使用晶振：16M		                 ----------------
//----------------4.淘宝网址：Ilovemcu.taobao.com		     ----------------
//----------------5.作者：神秘藏宝室			                 ----------------
//***************************************************************************/
#include <Arduino.h>
#include <SoftwareSerial.h>

SoftwareSerial mySerial(10, 11); // RX, TX

#define KEY1 2
#define KEY2 3

#define GSMSerial mySerial
#define DEBUGSerial Serial

void setup()
{
	pinMode(KEY1, INPUT_PULLUP); 
	pinMode(KEY2, INPUT_PULLUP); 
	GSMSerial.begin(9600);	//设置通讯的波特率为9600
      DEBUGSerial.begin(9600);
}

void loop()
{
	Scan_KEY();			
}

void Ring()
{
	GSMSerial.println("AT");
        DEBUGSerial.println("AT");	
	delay(1000);
	GSMSerial.println("ATD18067933376;");				//可从此条语句修改需要更换的手机号，将18067933376修改为您需要拨打的手机号
        DEBUGSerial.println("ATD18067933376;");	
	delay(1000);
}

void HangUp()
{
	GSMSerial.println("ATH");			//挂断指令
        DEBUGSerial.println("ATH");			//挂断指令
	delay(1000);
}


void Scan_KEY()						//按键扫描
{
	if( digitalRead(KEY1) == 0 )		//查看按键是否按下	
	{
		delay(20);					//延时20ms，去抖动	
		if( digitalRead(KEY1) == 0 ) //查看按键是否按下
		{			
			while(digitalRead(KEY1) == 0);		//松手检测
			Ring();
		}
	}

	if( digitalRead(KEY2) == 0 )		//查看按键是否按下	
	{
		delay(20);					//延时20ms，去抖动	
		if( digitalRead(KEY2) == 0 ) //查看按键是否按下
		{			
			while(digitalRead(KEY2) == 0);		//松手检测
			HangUp();
		}
	}
}

